petsc-3.6.2 2015-10-02
Report Typos and Errors

# EventPerfLogGetVisible

This function returns whether an event is printed during PetscLogView()

### Synopsis

    #include "petscsys.h"
    PetscErrorCode EventPerfLogGetVisible(PetscEventPerfLog eventLog, PetscLogEvent event, PetscBool  *isVisible)

Not Collective

### Input Parameters

| eventLog | - The PetscEventPerfLog
| event | - The event id to log

### Output Parameter

isVisible -The visibility flag, PETSC_TRUE for printing, otherwise PETSC_FALSE (default is PETSC_TRUE)

### Database Options

-log_summary -Activates log summary

### Keywords

log, visible, event

### See Also

EventPerfLogSetVisible(), EventRegLogRegister(), PetscStageLogGetEventLog()

Level:developer
Location:src/sys/logging/utils/eventlog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages